package xn.hxp.room.bean.cabinet;

import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;

import java.util.ArrayList;
import java.util.List;

@Entity
public class CabinetDoor {
    // ("主键id")
    @PrimaryKey
    private long doorId;

    // ("关键机柜id")
    private long cabinetId;

    // ("柜门名称")
    private String doorName;

    // ("门里面的层数")
    private int doorLayers;

    // ("机柜唯一id，用于化学品入库绑定唯一编码")

    private long doorUniqueId;

    // ("开始方式：1无锁，2是智能锁，3是钥匙柜")
    private int unlockingMethod;

    // ("化学品库存数量")
    private int stockNum;

    // ("化学品使用数量")
    private int useNum;

    // ("是否管控")
    private boolean isControl;

    // ("是否双人认证")
    private boolean verify;

    // ("是否开启关闭")
    private boolean openOrClose;

    // ("管理员列表") 该字段不会映射到数据库,只是为了方便解析
    @Ignore
    private List<CabinetDoorAdmin> cabinetAdminVoList = new ArrayList<>();

    // ("机柜锁列表") 该字段不会映射到数据库,只是为了方便解析
    @Ignore
    private List<CabinetDoorLock> cabinetLockVoList = new ArrayList<>();

    public long getDoorId() {
        return doorId;
    }

    public void setDoorId(long doorId) {
        this.doorId = doorId;
    }

    public long getCabinetId() {
        return cabinetId;
    }

    public void setCabinetId(long cabinetId) {
        this.cabinetId = cabinetId;
    }

    public String getDoorName() {
        return doorName;
    }

    public void setDoorName(String doorName) {
        this.doorName = doorName;
    }

    public int getDoorLayers() {
        return doorLayers;
    }

    public void setDoorLayers(int doorLayers) {
        this.doorLayers = doorLayers;
    }

    public long getDoorUniqueId() {
        return doorUniqueId;
    }

    public void setDoorUniqueId(long doorUniqueId) {
        this.doorUniqueId = doorUniqueId;
    }

    public int getUnlockingMethod() {
        return unlockingMethod;
    }

    public void setUnlockingMethod(int unlockingMethod) {
        this.unlockingMethod = unlockingMethod;
    }

    public int getStockNum() {
        return stockNum;
    }

    public void setStockNum(int stockNum) {
        this.stockNum = stockNum;
    }

    public int getUseNum() {
        return useNum;
    }

    public void setUseNum(int useNum) {
        this.useNum = useNum;
    }

    public boolean isControl() {
        return isControl;
    }

    public void setControl(boolean control) {
        isControl = control;
    }

    public boolean isVerify() {
        return verify;
    }

    public void setVerify(boolean verify) {
        this.verify = verify;
    }

    public boolean isOpenOrClose() {
        return openOrClose;
    }

    public void setOpenOrClose(boolean openOrClose) {
        this.openOrClose = openOrClose;
    }

    public List<CabinetDoorAdmin> getCabinetAdminVoList() {
        return cabinetAdminVoList;
    }

    public void setCabinetAdminVoList(List<CabinetDoorAdmin> cabinetAdminVoList) {
        this.cabinetAdminVoList = cabinetAdminVoList;
    }

    public List<CabinetDoorLock> getCabinetLockVoList() {
        return cabinetLockVoList;
    }

    public void setCabinetLockVoList(List<CabinetDoorLock> cabinetLockVoList) {
        this.cabinetLockVoList = cabinetLockVoList;
    }
}
